# class Chef::ReservedNames::Win32::API::Security::TOKEN_PRIVILEGES

### Public Class Methods

size_with_privileges(num_privileges) click to toggle source

    # File lib/chef/win32/api/security.rb, line 327
    def self.size_with_privileges(num_privileges)
      offset_of(:Privileges) + LUID_AND_ATTRIBUTES.size*num_privileges
    end

### Public Instance Methods

privilege(index) click to toggle source

    # File lib/chef/win32/api/security.rb, line 335
    def privilege(index)
      LUID_AND_ATTRIBUTES.new(pointer + offset_of(:Privileges) + (index * LUID_AND_ATTRIBUTES.size))
    end

size_with_privileges() click to toggle source

    # File lib/chef/win32/api/security.rb, line 331
    def size_with_privileges
      TOKEN_PRIVILEGES.size_with_privileges(self[:PrivilegeCount])
    end